<!DOCTYPE html>
<html lang="en">
	<head>
		<meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <title>Our Project</title>
        <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css" integrity="sha384-BVYiiSIFeK1dGmJRAkycuHAHRg32OmUcww7on3RYdg4Va+PmSTsz/K68vbdEjh4u" crossorigin="anonymous">
        <link href="https://fonts.googleapis.com/css?family=Open+Sans:300,400,400i,600,700" rel="stylesheet">
        <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css">
        <style>
            .bottom_div{
                position: absolute;
                bottom: 0px;
            }
            .grid-container{
                display: grid;
                align-content: space-evenly;
                grid-template-columns: auto auto;
                grid-gap: 10px;
                padding-left: 10px;
                padding-right: 10px;
            }
            .table-wrap{
                height: 300px;
                padding-left: 10px;
                padding-right: 10px;
                overflow-y: auto;
            }
        </style>
    </head>
    <body>
        <nav class="navbar navbar-inverse">
        <div class="container-fluid">
            <div class="navbar-header">
                <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#bs-example-navbar-collapse-1" aria-expanded="false">
                    <span class="sr-only">Toggle navigation</span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                </button>
                <a class="navbar-brand" href="#">International Terrorism</a>
            </div>
            <div class="collapse navbar-collapse" id="bs-example-navbar-collapse-1">
                <ul class="nav navbar-nav">
                    <li>
                        <a href="#">Map of Incidents</a>
                    </li>
                </ul>
                <form class="navbar-form navbar-left">
                    <div class="form-group">
                        <input type="text" class="form-control" placeholder="Search a year or country">
                    </div>
                    <button id="submitButton" type="submit" class="btn btn-default">Submit</button>
                </form>
                <ul class="nav navbar-nav navbar-right">
                    <li class="dropdown">
                        <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false">About 
                            <span class="caret"></span>
                        </a>
                        <ul class="dropdown-menu">
                            <li>
                                <a href="#">About the Creators</a>
                            </li>
                            <li>
                                <a href="https://docs.google.com/document/d/15YQbpM2lFVR3J5dg1RQ0uKpSqXaUg0zSrnoFMKk1HKc/edit">About the Project</a>
                            </li>
                            <li>
                                <a href="https://www3.nd.edu/~skumar5/teaching/2020-fall-pp.html">About the Course</a>
                            </li>
                            <li role="separator" class="divider"></li>
                            <li>
                                <a href="https://gitlab.com/gavin.jakubik/paradigmswebsite/-/tree/master/project">Link to our Git Repo</a>
                            </li>
                            <li role="separator" class="divider"></li>
                        </ul>
                    </li>
                </ul>
            </div>
        </div>
        </nav>
        <div class="container-fluid"></div>
                
        <h2 style="padding-left:10px;">Filter incidents</h2>
        <div class="grid-container">
            <div>
                <form class="bsr-form " action="">
                    <div class="form-group">
                        <label for="checkboxes">Year</label>
                        <select class="form-control" id="year-filter">
                            <option>Select</option>
                        </select>
                    </div>
                </form>
            </div>
            <div>
                <form class="bsr-form " action="">
                    <div class="form-group">
                        <label for="checkboxes">Country</label>
                        <select class="form-control" id="country-filter">
                            <option>Select</option>
                        </select>
                    </div>
                </form>
            </div>
            <div>
                <button id="filter-button" type="submit" class="btn btn-default">Filter</button>
            </div>
        </div>
        
        <div class="table-wrap">
            <table class="table table-striped">
                <caption>
                    <h3 style="color:black">Terrorism Incidents</h3>
                    <span class="summary">Events relating to terrorism from 1970-2017 across the globe.</span>
                </caption>
                
                <thead>
                    <tr>
                        <th style="width:10%;">Year</th>
                        <th style="width:15%;">Country</th>
                        <th style="width:15%;">City</th> 
                        <th style="width:60%;">Description</th>
                    </tr>
                </thead>
                <tbody id='eventsTable'>
                </tbody>
            </table>
        </div>
        
        <div class="bottom_div">
            <div class="panel panel-default">
                <div class="panel-heading">
                    <h5 class="panel-title">Project Overview</h5>
                </div>
                <div class="panel-body">
                  On this webpage, you will have the opportunity to explore a variety of terrorism related incidents between the years 1970 to 2017. The various types of incidents took place all over the world. We hope you enjoy!
                </div>
                <div class="panel-footer">
                  Disclosure: we do not own the data.
                </div>
            </div>
        </div>
    
        <script src="../scripts/main.js" type="text/javascript"></script>
        <script src="https://code.jquery.com/jquery-3.4.1.min.js"></script>
        <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js" integrity="sha384-Tc5IQib027qvyjSMfHjOMaLkfuWVxZxUPnCJA7l2mCWNIpG9mGCD8wGNIcPD7Txa" crossorigin="anonymous"></script>
    </body>
</html>